
function saveWebConfigWithAjax(catName, btnObj, sendData) {

    Swal.fire({
        title: 'آیا از ذخیره تغییرات ' + catName + ' مطمئن هستید؟',
        text: "تغییرات به صورت آنی بروی اپ اعمال میشوند، پیشنهاد میکنیم بعد از ذخیره تغییرات برنامه را چک نمایید تا از عملکرد صحیح قسمت تغییر یافته مطمئن شوید",
        icon: 'warning',
        showCancelButton: true,
        confirmButtonColor: '#007bff',
        cancelButtonColor: '#d33',
        confirmButtonText: 'بله ذخیره و اعمال کن',
        cancelButtonText: 'انصراف'
    }).then((result) => {
        if (result.isConfirmed) {

            let loadingOverlay = $(btnObj).parent().parent().find('#over_loading');
            loadingOverlay.show();

            $.ajax({

                type: "POST",
                url: mpPanelBaseUrl + "/update_webconfig",
                data: sendData,
                timeout: 25000,
                cache: false,
                success: function (data) {

                    loadingOverlay.hide();

                    if (data == "ok") {
                        notyf.success('تغییرات ' + catName + ' با موفقیت ذخیره و اعمال شد');
                    } else {
                        notyf.error(data);
                    }

                },
                error: function (xhr, status, error) {
                    loadingOverlay.hide();
                    notyf.error('Error: ' + xhr.status + ' ' + xhr.statusText);
                }

            });

        }

    })

}


$(function () { // start of document ready:


    $('#web_main_save').click(function () {

        let sendData = {
            web_logo: $.trim($('#web_logo').val()),
            fav_icon: $.trim($('#fav_icon').val()),
            header_logo_width: $.trim($('#header_logo_width').val()),
            loading_model: $.trim($('#loading_model').val()),
            site_title: $.trim($('#site_title').val()),
            site_description: $.trim($('#site_description').val()),
            site_brand: $.trim($('#site_brand').val()),
            site_brand_divider: $.trim($('#site_brand_divider').val()),
            site_brand_location: $.trim($('#site_brand_location').val()),
            disable_inspect_and_context_menu: $.trim($('#disable_inspect_and_context_menu').val()),
            website_no_index: $.trim($('#website_no_index').val()),
            web_custom_font: $.trim($('#web_custom_font').val()),
            max_width_homepage: $.trim($('#max_width_homepage').val()),
            max_width_homepage_header: $.trim($('#max_width_homepage_header').val()),
            max_width_other_pages: $.trim($('#max_width_other_pages').val()),
            max_width_other_pages_header: $.trim($('#max_width_other_pages_header').val()),
        }
        saveWebConfigWithAjax("تنظیمات اصلی وب", this, sendData);

    });

    $('#web_megamenu_save').click(function () {

        let sendData = {
            megamenu_added_button_text       : $.trim($('#megamenu_added_button_text').val()),
            megamenu_added_button_icon       : $.trim($('#megamenu_added_button_icon').val()),
            megamenu_added_button_bg_color   : $.trim($('#megamenu_added_button_bg_color').val()),
            megamenu_added_button_ic_color   : $.trim($('#megamenu_added_button_ic_color').val()),
            megamenu_added_button_txt_color  : $.trim($('#megamenu_added_button_txt_color').val()),
            megamenu_added_button_intent_type: $.trim($('#megamenu_added_button_intent_type').val()),
            megamenu_added_button_intent_data: $.trim($('#megamenu_added_button_intent_data').val()),
        }
        saveWebConfigWithAjax("تنظیمات مگامنو وب", this, sendData);

    });

    $('#web_header_save').click(function () {

        let sendData = {
            show_search_in_header  : $.trim($('#show_search_in_header').val()),
            show_account_data_in_header  : $.trim($('#show_account_data_in_header').val()),
            account_in_header_text_notlogin  : $.trim($('#account_in_header_text_notlogin').val()),
            show_cart_data_in_header  : $.trim($('#show_cart_data_in_header').val()),
            auto_hide_megamenu  : $.trim($('#auto_hide_megamenu').val()),
            header_show_type  : $.trim($('#header_show_type').val()),
            header_search_icon_code  : $.trim($('#header_search_icon_code').val()),
            header_user_icon_code  : $.trim($('#header_user_icon_code').val()),
            header_cart_icon_code  : $.trim($('#header_cart_icon_code').val()),
            header_icon1_code  : $.trim($('#header_icon1_code').val()),
            header_icon2_code  : $.trim($('#header_icon2_code').val()),
            header_icon1_intent_type  : $.trim($('#header_icon1_intent_type').val()),
            header_icon1_intent_data  : $.trim($('#header_icon1_intent_data').val()),
            header_icon2_intent_type  : $.trim($('#header_icon2_intent_type').val()),
            header_icon2_intent_data  : $.trim($('#header_icon2_intent_data').val()),
            header_added_button_bg_color  : $.trim($('#header_added_button_bg_color').val()),
            header_added_button_txt_color  : $.trim($('#header_added_button_txt_color').val()),
            header_added_button_ic_color  : $.trim($('#header_added_button_ic_color').val()),
            header_added_button_text  : $.trim($('#header_added_button_text').val()),
            header_added_button_icon  : $.trim($('#header_added_button_icon').val()),
            header_added_button_intent_type  : $.trim($('#header_added_button_intent_type').val()),
            header_added_button_intent_data  : $.trim($('#header_added_button_intent_data').val()),
        }
        saveWebConfigWithAjax("تنظیمات هدر وب", this, sendData);

    });

    $('#web_footer_save').click(function () {

        let sendData = {
            footer_background_color  : $.trim($('#footer_background_color').val()),
            footer_top_divider_color  : $.trim($('#footer_top_divider_color').val()),
            footer_top_divider_height  : $.trim($('#footer_top_divider_height').val()),
        }
        saveWebConfigWithAjax("تنظیمات فوتر وب", this, sendData);

    });

    $('#web_404_save').click(function () {

        let sendData = {
            page_404_header_img  : $.trim($('#page_404_header_img').val()),
            page_404_header_color  : $.trim($('#page_404_header_color').val()),
        }
        saveWebConfigWithAjax("تنظیمات صفحه 404 وب", this, sendData);

    });

}); //end of jqury doc ready